#ifndef UPDATA_H
#define UPDATA_H
#include "stdint.h"
#include "gateway_message.h"

void updata_task_creat(int client_socket);
void updata_task(void const * argument);


uint16_t Checkcrc16(const uint8_t *nData, uint16_t wLength);
#endif
